> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Post Series

<Note>
  **OAuth scope:** `memberships_write`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml /openapi/membership.json PUT /open-api/v1.1/memberships/series/posts/{id}
openapi: 3.1.0
info:
  title: OpenAPI
  version: 0.0.1
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
paths:
  /open-api/v1.1/memberships/series/posts/{id}:
    put:
      tags:
        - Series
      summary: Update Post Series
      operationId: update-post-series
      parameters:
        - name: X-ShopId
          in: header
          required: false
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  minLength: 3
                description:
                  type: string
                  maxLength: 2048
                coverImageResource:
                  oneOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - New
                        id:
                          type: integer
                      required:
                        - type
                        - id
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - Remove
                      required:
                        - type
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - Keep
                      required:
                        - type
                thumbnailResource:
                  oneOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - New
                        id:
                          type: integer
                      required:
                        - type
                        - id
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - Remove
                      required:
                        - type
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - Keep
                      required:
                        - type
                postsIds:
                  type: array
                  items:
                    type: integer
              required:
                - title
                - description
                - coverImageResource
                - thumbnailResource
              openapi: true
        required: true
      responses:
        '204':
          description: ''
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.Common.Error.Validation'
      security:
        - oauth:
            - memberships_write
        - basicAuth: []
components:
  schemas:
    Response.Common.Error.Validation:
      type: object
      properties:
        parameters:
          type: object
          example: '{ "post_id": [ "is missing" ] }'
        body:
          type: object
          example: '{ "discount": { "percentOff": [ "is missing" ] } }'
      title: Validation
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            memberships_read: memberships_read
            memberships_write: memberships_write
    basicAuth:
      type: http
      scheme: basic

````